//*****************************************************************************
// 
// Blackjack - an X windows program of the casino game.
// Copyright (C) 1997  Tom Daley 
// 
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
// 
// The license is in the file COPYING.
// 
// Tom Daley
// 1309 W. Lorraine Ave.
// Woodland Park, CO  80863-2329
// 
// daley@codenet.net (Tom Daley)
// http://users.codenet.net/daley
// 
//*****************************************************************************

#ifndef _BET_OPTION_H_
#define _BET_OPTION_H_

#include <qdialog.h>
#include <qbttngrp.h>
#include <qlist.h>

//*****************************************************************************

class BetOption : public QDialog {
   Q_OBJECT
   private:
      int   _num_bets;
      int   _num_incs;
      int   _btn_height;
      int   _btn_width;
      int   _pad;
      float _bet_min;
      float _bet_max;
      float _bet_inc;
      QList <float>_bet_list;
      QList <float>_bet_inc_list;
      QButtonGroup *_min_bg, *_max_bg, *_inc_bg;
   public:
      BetOption(float min, float max, float inc, QWidget* parent = 0);
      float min(void) { return (_bet_min); }
      float max(void) { return (_bet_max); }
      float inc(void) { return (_bet_inc); }
      void  addBet(float bet);
      void  addBetInc(float inc);
      void  setMin(float min);
      void  setMax(float max);
      void  setInc(float inc);

   private slots:
      minBetPressed(int id);
      maxBetPressed(int id);
      betIncPressed(int id);
};

#endif

//*****************************************************************************
